Skip to content

UpdateTeamMember

PATCH/api/v1/teams/{team}/members/{member}

Update a team membership, such as when it expires.

Example request

curl -X PATCH \
-H "Authorization: Bearer ${OBLIQUE_API_KEY}" \
-H "Content-Type: application/json" \
-d '{ "member": "string" }' \
"https://us.oblique.security/api/v1/teams/{team}/members/{member}?updateMask=member"

Set OBLIQUE_API_KEY to your API key.

Path parameters

  • teamMember.namestringrequired

    Assigned by Oblique. The name of the membership. Memberships are always child resources of a given team. The {member} component is an arbitrary identifier, and doesn’t correspond to the actual member.

    Format: teams/{team}/members/{member}

Query parameters

  • updateMaskstring (field-mask)

    The list of fields to update.

  • allowMissingboolean

    If set to true, and the membership is not found, a new membership will be created with the given name. If created in this way, update_mask is ignored.

Request body

  • managementManagement

    How this membership is managed. Inherited from the parent team: memberships of Terraform-managed teams are themselves Terraform managed and can only be created, updated, or deleted through the Terraform provider; manage the parent team to change this. Omitted from responses when the parent team is manually managed (the default).

    • managerstring
      Allowed values: TERRAFORM

      How the resource is managed. Set automatically by the server based on the caller: Terraform clients produce TERRAFORM; for all other clients the management field is left unset on the response.

    • repoUristring

      URI of the VCS repository that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.

    • repoDirstring

      Optionally, the subdirectory within repo_uri that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.

  • createTimestring (date-time)read-only

    Create and update timestamps.

  • updateTimestring (date-time)read-only
  • memberstringrequired

    The name of the member. This currently only supports users, but will be expanded to support teams as well. Immutable after creation.

    Format: users/{user}

  • justificationstring

    Why the user is part of the team.

  • requeststringread-only

    If present, the request that most recently created or updated this membership.

    Format: requests/{request}

Response

200TeamMember

A membership in a team.

  • namestring

    Assigned by Oblique. The name of the membership. Memberships are always child resources of a given team. The {member} component is an arbitrary identifier, and doesn’t correspond to the actual member.

    Format: teams/{team}/members/{member}

  • managementManagement

    How this membership is managed. Inherited from the parent team: memberships of Terraform-managed teams are themselves Terraform managed and can only be created, updated, or deleted through the Terraform provider; manage the parent team to change this. Omitted from responses when the parent team is manually managed (the default).

    • managerstring
      Allowed values: TERRAFORM

      How the resource is managed. Set automatically by the server based on the caller: Terraform clients produce TERRAFORM; for all other clients the management field is left unset on the response.

    • repoUristring

      URI of the VCS repository that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.

    • repoDirstring

      Optionally, the subdirectory within repo_uri that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.

  • createTimestring (date-time)read-only

    Create and update timestamps.

  • updateTimestring (date-time)read-only
  • memberstringrequired

    The name of the member. This currently only supports users, but will be expanded to support teams as well. Immutable after creation.

    Format: users/{user}

  • justificationstring

    Why the user is part of the team.

  • requeststringread-only

    If present, the request that most recently created or updated this membership.

    Format: requests/{request}

Errors

StatusMeaning
400Malformed request
401Missing or invalid API key
403Not allowed for this API key
404Not found
429Too many requests
500Internal server error